Contents

scope.gif (5667 bytes) Harmonix

Contents
  • About
    What is Harmonix and why would you use it?
  • Legal agreement
    Read this if in doubt about legal issues.
  • Operation
    So how do you actually use Harmonix?

©1998-2005 Martijn W. van der Lee/VanDerLee.


About

scope.gif (5667 bytes) Harmonix

About

What is Harmonix?
Harmonix is a plugin for PhotoShop plugin compatible graphics applications. With Harmonix you can create complex harmonic wave forms with a high level of configurability and likewise quality.
Harmonix allows you to fully configure the first ten harmonic frequencies which is more than enough for most situations.

Who could use Harmonix?
The easiest answer would be "Everybody who wants to." and to be honest that's actually the answer I'll give you :)
Harmonix was created out of a personal need to visualize harmonic wave forms for my study and personal interest in sound. So far I've used it for just that but also for graphical work and such.

So, what does it actually do?
To fully understand what Harmonix does one should have at the very least a basic understanding of the superimposing of waves and harmonic frequencies. For the uninitiated I'll explain a bit.
Superimposing is basically another way of saying "adding up" within the context of this plugin (and in fact most programs that work with wave mixing).
Harmonix frequencies are basically frequencies which are a factor higher than the "base" frequency. The base frequency could be any random frequency.
The thought behind mixing these is the fact that it is possible to generate any wave form by simply creating harmonic wave forms. Most people will have heard of saw tooth and block forms, these too are easily created by mixing harmonics.
These are of course not perfect descriptions but to go in depth into these subjects would be unnecessary to say the least. If you'd like to know more about this then there are literally hundreds of books available that go in depth on this subject.

Cool! Now how do I get started?
Just follow the instructions on installing and you'll be off in minutes :)

©1998-2005 Martijn W. van der Lee/VanDerLee.


Legal agreement

scope.gif (5667 bytes) Harmonix

Legal agreement

Copyright © 1998-2005 Martijn W. van der Lee/VanDerLee, All rights reserved.
All Rights Reserved.

Legal agreement
Martijn van der Lee permits you use Harmonix (Software) conditioned on your acceptance of this agreement. Use of this Software will be taken to mean acceptance of this agreement, so please read the following terms carefully before you use the Software.

1. Copyright and permission for use
Martijn van der Lee grants you as an individual the right to use the Software on only one computer at any single time. The ownership and copyright of the Program belongs to Martijn van der Lee.

2. Prohibitions and restrictions
You may not reverse-compile, disassemble, reverse-engineer, or use any other method to convert the Software into a human-readable form, nor may you allow another person to do so. The Software may not be duplicated, corrected, modified, lent, leased, sold, distributed, licensed or disposed of in any other way in part or in whole if money or other means of payment or restitution are involved. The creation of derivative works based on the content of the Software is also prohibited. Your rights regarding the Software may be transferred to a third party only if this is done for non-commercial purposes and if the Software and all associated documentation including this agreement are included, and if the third party accepts this agreement.

3. Limitations of Liability
The Software was developed at, and is copyrighted by, Martijn van der Lee. The Software is offered "AS IS" and Martijn van der Lee makes no warranty as to its use or performance.
MARTIJN VAN DER LEE AND ITS SUPPLIERS DO NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE SOFTWARE OR DOCUMENTATION. MARTIJN VAN DER LEE AND ITS SUPPLIERS MAKE NO WARRANTIES, EXPRESS OR IMPLIED, AS TO NON INFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY, OR FITNESS FOR ANY PARTICULAR PURPOSE. IN NO EVENT WILL MARTIJN VAN DER LEE OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS, EVEN IF MARTIJN VAN DER LEE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY THIRD PARTY.

©1998-2002 Martijn W. van der Lee/VanDerLee.


Operation

scope.gif (5667 bytes) Harmonix

ui.gif (23854 bytes) Operation

The display can be split in the preview area (left side) and the configuration area (right side).

Preview area
 Zoom As you can imagine the preview area shows a preview of the final image.
You can zoom in or out of the image by using the [+] and [-] buttons respectively.

Configuration area
In itself, the configuration area can be split into multiple areas; the two top-most sliders are known as the frequency controls.
The 20 sliders in the box beneath the frequency controls are the harmonics controls.
The slider at the bottom is called the wave control and all the buttons are the system controls.

Frequency controls
 Frequency The frequency controls set the base frequency on which all harmonics will be based.
The frequency is measured in the number of full waves that will fit onto one screen. With the "fine%" slider you can add in part one whole extra wave to the total amount visible.

Harmonics Harmonics controls
These controls appear in pairs of two where the leftmost of each pair controls the amplitude and the right one controls the phase (= horizontal offset) of each harmonic frequency.
The leftmost pair controls the first (or base) harmonic whilst the rightmost controls the tenth harmonic.
Each offset is scaled to the width of a wave of that harmonic frequency which means that shifting two of the offsets an equal amount will not shift the frequencies in an aligned manner.

Curve Curve controls
The two controls at the bottom left of the Configuration area let you specify the color of the wave.
Click on the color box to pop-up a standard Windows dialog which allows you to select a color or click the [Foreground] button to use the current foreground color of your graphics application.
The Line width control simply sets the width of the line that represents the wave. This is also the only setting that is not automatically scaled to the image dimensions thus the preview will not give an adequate representation of this effect unless the zoom mode is set to 100%.

System controls System controls
These buttons control the most basic of operations.
The [O] button allows you to open any previously saves settings.
The [S] button will allow you to save the current settings for later usage.
As to what [Exit] and [OK!] will do... well... you'll just have to find out for yourselves :)

©1998-2005 Martijn W. van der Lee/VanDerLee.